import numpy as np

def trap(f,a,b,n=100):
    x = a
    h = (b-a)/n
    sm = f(a)
    for i in range(n-1):
        x = x + h
        sm = sm + 2*f(x)
    sm = sm + f(b)
    ar = sm*h/2
    return ar

def f(t):
    return t*np.cos(t)

a = 0
b = np.pi/2

y = trap(f,a,b)
print(y)
