import numpy as np
from scipy.optimize import brentq

def f(x):
    return np.sin(x+2)*np.cosh(x)+2.

x1 = 0.
x2 = 3.

xsoln,results = brentq(f,x1,x2,full_output=True)

print('solution is {0:6.4f}'.format(xsoln))
print(results)

