import numpy as np
import matplotlib.pyplot as plt

def humps(x):
    y = 1./((x-0.3)**2+0.01) + 1./((x-0.9)**2+0.04) - 6.
    return y

x = np.linspace(0.,1.,100)
plt.plot(x,humps(x),c='k')
plt.grid()
plt.xlabel('x')
plt.ylabel('y')
plt.title('humps function')
