import numpy as np
from scipy.integrate import trapz
import matplotlib.pyplot as plt

t = np.array([0.09,0.32,0.69,1.51,2.29,3.06,3.39,3.63,3.77])
y = np.array([15.1,57.3,103.3,174.6,191.5,193.2,178.7,172.3,167.5])

A = trapz(y,t)
print('\narea = {0:5.1f}'.format(A))

plt.plot(t,y,c='k',marker='s',mec='k',mfc='w')
plt.grid()
plt.xlabel('t')
plt.ylabel('y')

